import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  filename: z.literal(true).optional(),
  pdfData: z.literal(true).optional(),
  uploadedAt: z.literal(true).optional(),
  groupId: z.literal(true).optional()
}).strict();
export const PdfFileMaxAggregateInputObjectSchema: z.ZodType<Prisma.PdfFileMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileMaxAggregateInputType>;
export const PdfFileMaxAggregateInputObjectZodSchema = makeSchema();
